Current List of Secure Browsers

PCI compliance requires that SSLv2, SSLv3 and TLS 1.0
 
Google Chrome – version 30 or greater
Microsoft Internet Explorer 11 or greater
Mozilla Firefox 27 or greater
Apple Safari 5 or greater
Opera Browser 17 or greater
Google Android OS Browser – version 5.0 or greater
Microsoft Edge

Leave a Reply

Your email address will not be published. Required fields are marked *